Modify

Opened 6 years ago

Closed 6 years ago

#9817 closed defect (fixed)

NPE when painting way with a single node

Reported by: anonymous Owned by: team
Priority: normal Milestone: 14.03
Component: Core mappaint Version:
Keywords: template_report Cc:

Description (last modified by Don-vip)

What steps will reproduce the problem?

  1. I was downloading data.
  2. perhaps triggered through lanes style.
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-03-13 02:36:30
Last Changed Author: Don-vip
Revision: 6908
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-03-12 15:20:34 +0100 (Wed, 12 Mar 2014)
Last Changed Rev: 6908

Identification: JOSM/1.5 (6908 de) Linux Debian GNU/Linux 7.4 (wheezy)
Memory Usage: 326 MB / 910 MB (130 MB allocated, but free)
Java version: 1.7.0_25, Oracle Corporation, OpenJDK Server VM
Java package: openjdk-7-jre:i386-7u25-2.3.10-1~deb7u1
WebStart package: icedtea-netx:i386-1.4-3~deb7u2
VM arguments: [-Xbootclasspath/a:/usr/share/icedtea-web/netx.jar, -Xms8m, -Dicedtea-web.bin.name=javaws, -Dicedtea-web.bin.location=/usr/bin/javaws, -Djava.security.manager, -Djava.security.policy=/etc/icedtea-web/javaws.policy]

Dataset consistency test:
[WARN - NO NODES] Way {Way id=207484097 version=2 VT nodes=[{Node id=2177378079 version=5 V lat=49.6277737,lon=10.9243542}]} has only one node


Plugin: OpeningHoursEditor (30235)
Plugin: buildings_tools (30277)
Plugin: imagery_offset_db (30277)
Plugin: mirrored_download (30197)
Plugin: reverter (30319)
Plugin: utilsplugin2 (30277)
Plugin: wikipedia (30277)

java.lang.NullPointerException
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$OffsetIterator.next(StyledMapRenderer.java:114)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.drawRepeatImage(StyledMapRenderer.java:668)
	at org.openstreetmap.josm.gui.mappaint.RepeatImageElemStyle.paintPrimitive(RepeatImageElemStyle.java:56)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$StyleCollector.drawAll(StyledMapRenderer.java:215)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render(StyledMapRenderer.java:1411)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:324)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:535)
	at org.openstreetmap.josm.gui.MapView.paint(MapView.java:630)
	at javax.swing.JComponent.paintChildren(JComponent.java:878)
	at javax.swing.JComponent.paint(JComponent.java:1054)
	at javax.swing.JComponent.paintToOffscreen(JComponent.java:5212)
	at javax.swing.BufferStrategyPaintManager.paint(BufferStrategyPaintManager.java:295)
	at javax.swing.RepaintManager.paint(RepaintManager.java:1236)
	at javax.swing.JComponent._paintImmediately(JComponent.java:5160)
	at javax.swing.JComponent.paintImmediately(JComponent.java:4971)
	at javax.swing.RepaintManager$3.run(RepaintManager.java:796)
	at javax.swing.RepaintManager$3.run(RepaintManager.java:784)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:784)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:757)
	at javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:706)
	at javax.swing.RepaintManager.access$1000(RepaintManager.java:62)
	at javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1647)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)

Attachments (0)

Change History (4)

comment:1 Changed 6 years ago by anonymous

UPS, same with stable:

I downloaded parts of "Gewerbepark Hessdorf" (coordinates 10.9217501,49.6259323,10.9271705,49.6289002) with mirrored_download.

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2014-02-27 09:27:48
Last Changed Author: simon04
Revision: 6891
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2014-02-27 08:25:03 +0100 (Thu, 27 Feb 2014)
Last Changed Rev: 6891

Identification: JOSM/1.5 (6891 de) Linux Debian GNU/Linux 7.4 (wheezy)
Memory Usage: 109 MB / 910 MB (45 MB allocated, but free)
Java version: 1.7.0_25, Oracle Corporation, OpenJDK Server VM
Java package: openjdk-7-jre:i386-7u25-2.3.10-1~deb7u1
WebStart package: icedtea-netx:i386-1.4-3~deb7u2
VM arguments: [-Xbootclasspath/a:/usr/share/icedtea-web/netx.jar, -Xms8m, -Dicedtea-web.bin.name=javaws, -Dicedtea-web.bin.location=/usr/bin/javaws, -Djava.security.manager, -Djava.security.policy=/etc/icedtea-web/javaws.policy]

Dataset consistency test:
[WARN - NO NODES] Way {Way id=207484097 version=2 VT nodes=[{Node id=2177378079 version=5 V lat=49.6277737,lon=10.9243542}]} has only one node


Plugin: OpeningHoursEditor (30235)
Plugin: buildings_tools (30277)
Plugin: imagery_offset_db (30277)
Plugin: mirrored_download (30197)
Plugin: reverter
Plugin: utilsplugin2 (30277)
Plugin: wikipedia (30277)

java.lang.NullPointerException
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$OffsetIterator.next(StyledMapRenderer.java:114)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.drawRepeatImage(StyledMapRenderer.java:668)
	at org.openstreetmap.josm.gui.mappaint.RepeatImageElemStyle.paintPrimitive(RepeatImageElemStyle.java:56)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer$StyleCollector.drawAll(StyledMapRenderer.java:215)
	at org.openstreetmap.josm.data.osm.visitor.paint.StyledMapRenderer.render(StyledMapRenderer.java:1411)
	at org.openstreetmap.josm.gui.layer.OsmDataLayer.paint(OsmDataLayer.java:324)
	at org.openstreetmap.josm.gui.MapView.paintLayer(MapView.java:535)
	at org.openstreetmap.josm.gui.MapView.paint(MapView.java:630)
	at javax.swing.JComponent.paintChildren(JComponent.java:878)
	at javax.swing.JComponent.paint(JComponent.java:1054)
	at javax.swing.JComponent.paintToOffscreen(JComponent.java:5212)
	at javax.swing.BufferStrategyPaintManager.paint(BufferStrategyPaintManager.java:295)
	at javax.swing.RepaintManager.paint(RepaintManager.java:1236)
	at javax.swing.JComponent._paintImmediately(JComponent.java:5160)
	at javax.swing.JComponent.paintImmediately(JComponent.java:4971)
	at javax.swing.RepaintManager$3.run(RepaintManager.java:796)
	at javax.swing.RepaintManager$3.run(RepaintManager.java:784)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:784)
	at javax.swing.RepaintManager.paintDirtyRegions(RepaintManager.java:757)
	at javax.swing.RepaintManager.prePaintDirtyRegions(RepaintManager.java:706)
	at javax.swing.RepaintManager.access$1000(RepaintManager.java:62)
	at javax.swing.RepaintManager$ProcessingRunnable.run(RepaintManager.java:1647)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:154)
	at java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:182)
	at java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:221)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:219)
	at java.awt.Dialog.show(Dialog.java:1082)
	at java.awt.Component.show(Component.java:1651)
	at java.awt.Component.setVisible(Component.java:1603)
	at java.awt.Window.setVisible(Window.java:1014)
	at java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:484)
	at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:281)
	at org.openstreetmap.josm.tools.BugReportExceptionHandler$BugReporterThread$1.run(BugReportExceptionHandler.java:79)
	at java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:251)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:733)
	at java.awt.EventQueue.access$200(EventQueue.java:103)
	at java.awt.EventQueue$3.run(EventQueue.java:694)
	at java.awt.EventQueue$3.run(EventQueue.java:692)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$1.doIntersectionPrivilege(ProtectionDomain.java:76)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:703)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:242)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:161)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:150)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:146)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:138)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:91)
Last edited 6 years ago by Don-vip (previous) (diff)

comment:2 Changed 6 years ago by Don-vip

Component: CoreCore mappaint
Milestone: 14.03

comment:3 Changed 6 years ago by Don-vip

Description: modified (diff)
Summary: NPE after downloading dataNPE when painting way with a single node

comment:4 Changed 6 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 6926/josm:

fix #9817 - NPE when painting way with a single node

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.